Bug 994360 - RHS-C: Incorrect warning seen in notifier.log
RHS-C: Incorrect warning seen in notifier.log
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Sahina Bose
RamaKasturi
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 02:37 EDT by Prasanth
Modified: 2016-09-09 01:20 EDT (History)
7 users (show)

See Also:
Fixed In Version: rhsc-3.0.2-1.16.el6rhs.noarch.rpm
Doc Type: Known Issue
Doc Text:
Cause: TBD Consequence: Workaround (if any): Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:14:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
notifier.log (30.40 KB, text/x-log)
2013-08-07 02:37 EDT, Prasanth
no flags Details
new notifier.log (29.35 KB, text/plain)
2014-11-17 02:01 EST, RamaKasturi
no flags Details

  None (edit)
Description Prasanth 2013-08-07 02:37:27 EDT
Created attachment 783675 [details]
notifier.log

Description of problem:

Following incorrect warning seen in notifier.log after starting ovirt-engine-notifier service

-----------
2013-08-07 11:24:01,283 WARN  [org.ovirt.engine.core.utils.LocalConfig] The file "/etc/ovirt-engine/notifier/notifier.conf" doesn't exist or isn't readable. Will return an empty set of properties.
-----------

Version-Release number of selected component (if applicable):  Red Hat Storage Console Version: 2.1.0-0.bb8.el6rhs 


How reproducible: Always


Steps to Reproduce:
1. Set "MAIL_SERVER" details
2. # /etc/init.d/ovirt-engine-notifier start
3. cat /var/log/ovirt-engine/notifier/notifier.log


Actual results: Reference to old conf file is seen in the log file. 


Expected results: All references to old or incorrect files should be removed.


Additional info: notifier.log attached
Comment 6 RamaKasturi 2014-11-17 02:00:35 EST
Hi sahina,

    I could still see the message "The file "/etc/ovirt-engine/notifier/notifier.conf" doesn't exist or isn't readable. Will return an empty set of properties."

   Attaching the log file here, could please take a look at this.

Thanks
kasturi.
Comment 7 RamaKasturi 2014-11-17 02:01:09 EST
Created attachment 958182 [details]
new notifier.log
Comment 8 RamaKasturi 2014-11-19 01:06:50 EST
Moving this bug back as i still see the references to old files in /var/log/ovirt-engine/notifier/notifier.log

I could still see the message "The file "/etc/ovirt-engine/notifier/notifier.conf" doesn't exist or isn't readable. Will return an empty set of properties."
Comment 11 Vivek Agarwal 2015-12-03 12:14:03 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.